Subject: Re: Question on TSO maximum segment sizes.

From: Ben Greear <[email-masked]>
Date: Thu, 11 Oct 2007 18:29:51 -0700

John Heffner wrote:
> Ben Greear wrote:
>> I just tried turning off my explicit SO_SNDBUF/SO_RCVBUG settings in 
>> my app,
>> and the connection ran very poorly through a link with even a small
>> bit of latency (~2-4ms I believe).
> 
> I often run at full gigabit or faster with latencies of 100+ ms.  Can 
> you give a bit more detail?

I'm doing non-blocking TCP sends, write sizes of around 64k, and I'm
doing this to/from the same system with the send-to-self patch.
I am running full-duplex (930+Mbps tx + rx on both ports)
(this is about 980Mbps on the wire).

If I don't set the tx-queue % rx-queue sizes large (~4MB), it does not
perform well when running through my latency emulator.

If I do set them, then it runs just fine (barring an occassional
TCP throughput deadlock & ACK storm that is being worked on separately.)

If it works for other people, then it could be something else
weird about my setup.  I have an easy work-around (been in the
code for years and years now), so I'm not too worried either way.

Thanks,
Ben

>   -John

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com